Subject: Question about mDNS

From: Tomohide Nagashima <[email-masked]>
Date: Thu, 15 Mar 2001 21:47:38 +0900

Hi,

I have a question about mDNS(draft-ietf-dnsext-mdns-00.txt).

1) When node is attached with two or more subnetworks, and all node
   in these subnetworks shared same domain, how should do ?

   ex1) node that have same name are in differnt subnetworks:

        ----------  ----------
         |      |    |     |
        [A]    [myhost]   [A]

   ex2) one subnet, my host's name conflicts some node but another subnet
        does not:

        ----------  ----------
         |      |    |     |
        [A]    [myhost]   [myhost]

   I belived mDNS should be used just for node that have only one interface. 
   but I cannot find some comment about it. some comment is needed.
   else, we must prepare some reaction for these two cases.

2) Why local name is made with FQDN , not with just hostname ?
  
   if original FQDN of myhost is "host.example.com." then
   local name is "host.example.com.local.arpa." but I thought 
   this is too long. at 1st, I thought "host.local.arpa." .

   in original case, there must be some reason why we need FQDN.
   the reason may be two or more domains in same subnet. but I 
   cannot enter such case. would you tell me such case ?

Regards,

----
Tomohide Nagashima
([email-masked])

to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.